/****************************************************************************

USB-CAN-Interface Communication Center
Konfiguration

(c) 2020 Dipl.-Ing. (FH) Rainer Reusch, Reusch Elektronik

RADStudio XE7

Erstellt: 2020-03-09
Letzte nderung: 2020-03-09

*****************************************************************************/

//---------------------------------------------------------------------------

#pragma hdrstop

#include <Vcl.FileCtrl.hpp>
#include <Vcl.Dialogs.hpp>
#include "UnitConfig.h"

//---------------------------------------------------------------------------
#pragma package(smart_init)

#define INIFILENAME	"uci_ComCenter.ini"

TIniFile *cfg;

//---------------------------------------------------------------------------
UnicodeString GetSpecialFolder(int Folder)
//---------------------------------------------------------------------------
{
	ITEMIDLIST *ppidl;
	UnicodeString result;

	result="";
	if (SUCCEEDED(SHGetSpecialFolderLocation(0,Folder,&ppidl)))
	{
		result.SetLength(MAX_PATH);
		SHGetPathFromIDList(ppidl,result.w_str());
		result.SetLength(StrLen(result.w_str()));
	}
	return result;
}

//---------------------------------------------------------------------------
void cfg_Init(TForm *AForm)
//---------------------------------------------------------------------------
{
//	TFolderTools *ft = new TFolderTools(AForm);
	TFileName fn = GetSpecialFolder(CSIDL_APPDATA);
//ShowMessage(fn);
	cfg = new TIniFile(fn+"\\"+INIFILENAME);
}

//---------------------------------------------------------------------------
void cfg_DeInit(void)
//---------------------------------------------------------------------------
{
	delete cfg;
}