/****************************************************************************

USB-CAN-Interface Communication Center
Dialog: Auswahl und ffnen eines Gertes

(c) 2019-2020 Reusch Elektronik, Dipl.-Ing. (FH) Rainer Reusch

Created: 2019-08-28
Changed: 2020-03-11

*****************************************************************************/

/*
Der Gerteauswahldialog erscheint nur, wenn mehr als ein Gert
angeschlossen ist. Ist kein Gert angeschlossen, erscheint eine
entsprechende Fehlermeldung.
*/

//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "UnitConnect.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TFormConnect *FormConnect;

//---------------------------------------------------------------------------
__fastcall TFormConnect::TFormConnect(TComponent* Owner)
	: TForm(Owner)
//---------------------------------------------------------------------------
{
	//
}

//---------------------------------------------------------------------------
AnsiString __fastcall TFormConnect::Execute(TPoint WinPos, TUCI *AnUCI)
//---------------------------------------------------------------------------
{
	AnsiString Result = "";
	bool Done;
	Left = WinPos.x;
	Top = WinPos.y;
	do {
		ListBox1->Clear();
		int n = AnUCI->ScanForDevices(ListBox1->Items);
		Done = n>0;
		switch (n) {
		case 0: // kein Gert gefunden
			MessageBeep(16);
			Done = MessageDlg("No USB/CAN Device found!\nPlease connect a device and press Ok.",mtInformation,TMsgDlgButtons() << mbOK << mbCancel,0)==mrCancel;
			break;
		case 1: // ein Gert gefunden
			Result = ListBox1->Items->Strings[0];
			break;
		default:  // mehrere Gerte gefunden
			ListBox1->ItemIndex = 0;
			MessageBeep(0);
			if (ShowModal()==mrOk) {
				Result = ListBox1->Items->Strings[ListBox1->ItemIndex];
			}
		}
	} while (!Done);
	return Result;
}
