/****************************************************************************

USB-CAN-Interface Communication Center
Dialog: Gertekonfiguration

(c) 2019-2020 Reusch Elektronik, Dipl.-Ing. (FH) Rainer Reusch

Created: 2020-03-13
Changed: 2020-03-13

*****************************************************************************/

//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "UnitDeviceConfig.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TFormDeviceConfig *FormDeviceConfig;

//---------------------------------------------------------------------------
__fastcall TFormDeviceConfig::TFormDeviceConfig(TComponent* Owner)
	: TForm(Owner)
//---------------------------------------------------------------------------
{
	//
}

//---------------------------------------------------------------------------
void __fastcall TFormDeviceConfig::FormCreate(TObject *Sender)
//---------------------------------------------------------------------------
{
	ClientWidth = (BitBtnCancel->Left<<1)+BitBtnCancel->Width;
	ClientHeight = BitBtnCancel->Top+BitBtnCancel->Height+BitBtnCancel->Left;
}

//---------------------------------------------------------------------------
bool __fastcall TFormDeviceConfig::Execute(TPoint WinPos, TDeviceConfig *ADeviceConfig)
//---------------------------------------------------------------------------
{
	bool r = false;
	Left = WinPos.x;
	Top = WinPos.y;
	ComboBoxSpeed->ItemIndex = ADeviceConfig->Speed;
	CheckBoxTermination->Checked = ADeviceConfig->Termination;
	CheckBoxRetransmission->Checked = ADeviceConfig->Retransmit;
	CheckBoxLoopBackMode->Checked = ADeviceConfig->LoopBackMode;
	if (ShowModal()==mrOk) {
		ADeviceConfig->Speed = ComboBoxSpeed->ItemIndex;
		ADeviceConfig->Termination = CheckBoxTermination->Checked;
		ADeviceConfig->Retransmit = CheckBoxRetransmission->Checked;
		ADeviceConfig->LoopBackMode = CheckBoxLoopBackMode->Checked;
		r = true;
	}
	return r;
}

//---------------------------------------------------------------------------
