/****************************************************************************

USB-CAN-Interface Communication Center
Dialog: Sendedatensatz editieren

(c) 2020 Dipl.-Ing. (FH) Rainer Reusch, Reusch Elektronik

RADStudio XE7

Erstellt: 2020-03-11
Letzte nderung: 2020-03-11

*****************************************************************************/

//---------------------------------------------------------------------------

#ifndef UnitEditMsgH
#define UnitEditMsgH
//---------------------------------------------------------------------------
#include <System.Classes.hpp>
#include <Vcl.Controls.hpp>
#include <Vcl.StdCtrls.hpp>
#include <Vcl.Forms.hpp>
#include "uci_common.h"
#include <Vcl.Buttons.hpp>
#include <Vcl.ExtCtrls.hpp>
#include <Vcl.ComCtrls.hpp>
#include <Vcl.TabNotBk.hpp>
#include <Vcl.Samples.Spin.hpp>
//---------------------------------------------------------------------------

class TFormEditMsg : public TForm
{
__published:	// Von der IDE verwaltete Komponenten
	TRadioGroup *RadioGroup1;
	TLabeledEdit *LabeledEditID;
	TBitBtn *BitBtnOk;
	TBitBtn *BitBtnCancel;
	TTabbedNotebook *TabbedNotebook1;
	TEdit *Edit8;
	TEdit *Edit7;
	TEdit *Edit6;
	TEdit *Edit5;
	TEdit *Edit4;
	TEdit *Edit3;
	TEdit *Edit2;
	TEdit *Edit1;
	TLabel *Label1;
	TLabel *Label2;
	TSpinEdit *SpinEdit1;
	void __fastcall FormKeyUp(TObject *Sender, WORD &Key, TShiftState Shift);
private:	// Benutzer-Deklarationen
	TEdit *Edit[8];
	void __fastcall DlgToData(TCANData *ACanData);
public:		// Benutzer-Deklarationen
	__fastcall TFormEditMsg(TComponent* Owner);
	bool __fastcall ExecuteNew(TPoint WinPos, TCANData *ACanData);
	bool __fastcall ExecuteEdit(TPoint WinPos, TCANData *ACanData);
	uint32_t __fastcall StrToHex(UnicodeString AStr);
};

//---------------------------------------------------------------------------
extern PACKAGE TFormEditMsg *FormEditMsg;
//---------------------------------------------------------------------------
#endif
