/****************************************************************************

Interface to the USB/CAN Interface device (LibUSB-Win32 driver)
(dynamic linkage)

RADStudio XE7

(c) 2020 Reusch Elektronik

Created: 2020-02-02
Changed: 2020-03-26

****************************************************************************/

//---------------------------------------------------------------------------

#ifndef uci_ifH
#define uci_ifH
//---------------------------------------------------------------------------

#include <System.Classes.hpp>
#include <Dialogs.hpp>
#include "usbdevice_libdyn.h"
#include "uci_common.h"
//---------------------------------------------------------------------------

class TUCI : public TUSBDevice
{
private:
protected:
public:
	__fastcall TUCI(void);
	__fastcall ~TUCI(void);
	virtual bool __fastcall Open(AnsiString SerialNo);
	virtual void __fastcall Close(void);
	bool __fastcall Status(TStatus *Status);
	bool __fastcall ClearStatus(bool Rx, bool Tx, bool ErrorCounters);
	bool __fastcall DeviceInfo(TDeviceInfo *di);
	bool __fastcall GetDeviceConfig(TDeviceConfig *dc);
	bool __fastcall SetDeviceConfig(TDeviceConfig *dc);
	bool __fastcall CAN_Rx(TCANData *cd);
	bool __fastcall CAN_Tx(TCANData *cd);
	bool __fastcall CAN_SetFilter(TCANFilter *cf);
	bool __fastcall CAN_SetFilterAll(void);
	void __fastcall Test(void);
};

#endif
